﻿#pragma TextEncoding = "UTF-8"
#pragma rtGlobals=3		// Use modern global access method and strict wave access.


FUNCTION Sample_Video(VARIABLE vSave_Frames)

	Make/O/D/N=1000 wX=p, wY=p^2
		
	String strFrame_Base_Name="Movie_Frame_"
	
	IF(vSave_Frames)
		String strBase_Path=ParseFilePath(1, FunctionPath(""), ":", 1, 0)		//You'll need to change this path at some point
		String strFrame_Path=strBase_Path+"Test_Frames:"
		NewPath/C/O/Q/Z pFrame_Path, strFrame_Path
		KillPath/Z pFrame_Path
		
		Print "Created a new folder at "+strBase_Path+" called Test_Frames to hold the frames.  You will probably want to delete this folder."
	ENDIF
	
	String strFrame_Number
	
	Variable iDex
	FOR(iDex=0;iDex<numpnts(wX);iDex+=1)
		IF(iDex==0)
			Display/K=1 wY[0,iDex] vs wX[0,iDex]
			ModifyGraph lsize=2
			
			//You'll probably want more code here to make the graph look pretty
			SetAxis left wavemin(wY), wavemax(wY)
			SetAxis bottom wavemin(wX), wavemax(wX)
			ModifyGraph margin(left)=43,margin(bottom)=36,margin(right)=18,margin(top)=7,width=360,height=360		//Best to specify these rather than letting Igor decide how big to make them (Auto)
			ModifyGraph btLen=4
			ModifyGraph standoff=0
			
		ELSE
			ReplaceWave trace=wY, wY[0,iDex]
			ReplaceWave /X trace=wY, wX[0,iDex]
		ENDIF		//End checking to see if we are on the first point or not
		
		DoUpdate			//VERY important!  Must have this for the code to work
		
		IF(vSave_Frames)
			sprintf strFrame_Number, "%08d", iDex		//Using %08d so we (hopefully) don't have to worry about running out of digits
			SavePICT/O/E=-5/B=144 as strFrame_Path+strFrame_Base_Name+strFrame_Number+".png"
		ELSE
			Sleep/T 2		//If not making the frames, pause execution briefly
		ENDIF		//End checking to see if we are making frames or not
	ENDFOR		//End looping over the points in the wave
	
END